Summary: 	A text-based interface for setting and loading a keyboard map.
Name: 		kbdconfig
Version: 	1.9.16
Release: 	1
Copyright: 	GPL
ExclusiveOS: 	Linux
Group: 		System
BuildRoot: 	%{_tmppath}/kbdconfig-%{version}-root
BuildRequires: 	newt-devel
Source: 	kbdconfig-%{version}.tar.gz
Patch0: 	kbdconfig.c.linuxkid.patch
Patch1:		%{name}.diff

%description
The kbdconfig utility is a terminal mode program which provides a
simple interface for setting the keyboard map for your system. You
need keyboard maps to use any keyboard other than the US default
keyboard. Kbdconfig will load the selected keymap before exiting and
configure your machine to use that keymap automatically after
rebooting.

%prep
%setup -q
%patch0 -p1
#patch1 -p0

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
make INSTROOT=$RPM_BUILD_ROOT install
mv $RPM_BUILD_ROOT/usr/share/man $RPM_BUILD_ROOT/usr
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig/console

touch $RPM_BUILD_ROOT/etc/sysconfig/keyboard

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/sbin/kbdconfig
%{_mandir}/man*
/etc
